package com.jpsoft.shinestar.modules.base.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
  描述:base_alarm_info的实体类
 */
public class AlarmInfo {
	private String id;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;
	private Boolean delFlag;
	private String deviceNo;
	private String channelName;
	private String alertType;
	private String type;
	private String videoUrl;
	private Boolean isRead;
	private String message;
	
		/**
	 *获取
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		/**
	 *获取
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
		/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
		/**
	 *获取设备号
	 */
	public String getDeviceNo(){
		return deviceNo;
	}
	
	/**
	 *设置设备号
	 */
	public void setDeviceNo(String deviceNo){
		this.deviceNo = deviceNo;
	}
		/**
	 *获取通道名称
	 */
	public String getChannelName(){
		return channelName;
	}
	
	/**
	 *设置通道名称
	 */
	public void setChannelName(String channelName){
		this.channelName = channelName;
	}
		/**
	 *获取警报标识类型
	 */
	public String getAlertType(){
		return alertType;
	}
	
	/**
	 *设置警报标识类型
	 */
	public void setAlertType(String alertType){
		this.alertType = alertType;
	}
		/**
	 *获取警报所属类型/1围墙/2警戒
	 */
	public String getType(){
		return type;
	}
	
	/**
	 *设置警报所属类型/1围墙/2警戒
	 */
	public void setType(String type){
		this.type = type;
	}
	/**
	 *获取视频地址
	 */
	public String getVideoUrl(){
		return videoUrl;
	}

	/**
	 *设置视频地址
	 */
	public void setVideoUrl(String videoUrl){
		this.videoUrl = videoUrl;
	}

	/**
	 *获取是否已读
	 */
	public Boolean getIsRead(){
		return isRead;
	}

	/**
	 *设置是否已读
	 */
	public void setIsRead(Boolean isRead){
		this.isRead = isRead;
	}

	/**
	 *获取报警内容
	 */
	public String getMessage(){
		return message;
	}

	/**
	 *设置报警内容
	 */
	public void setMessage(String message){
		this.message = message;
	}
}